Skip to main content
POST
/
newsletter
/
subscribers
/
import
Import Subscribers
curl --request POST \
  --url https://api.getmaito.com/v1/newsletter/subscribers/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscribers": [
    {
      "email": "reader@example.com"
    }
  ],
  "optInAttestation": true
}
'
{
  "data": [
    {
      "id": "<string>",
      "workspaceId": "<string>",
      "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "emailNormalized": "jsmith@example.com",
      "emailOriginal": "<string>",
      "subscribedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "source": "<string>",
      "sourceIssueId": "<string>",
      "sourcePostId": "<string>",
      "sourceCtaLinkId": "<string>",
      "sourceVisitorId": "<string>",
      "unsubscribedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
default:your-api-key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Provide either subscribers or csvText, not both. optInAttestation must be true.

subscribers
object[]
required
optInAttestation
enum<boolean>
required
Available options:
true
csvText
string

Response

Successful response.

ok
enum<boolean>
required
Available options:
true
data
object[]
required